<template>
  <v-app>
    <v-toolbar class="orange">
      <v-icon
        v-if="$route.path !== '/'"
        @click="$router.go(-1)"
        class="pointer">
        keyboard_arrow_left
      </v-icon>
      <v-toolbar-title @click="goToHome()" class="pointer">
        Mister Chef <v-icon>restaurant</v-icon>
      </v-toolbar-title>
    </v-toolbar>
    <v-content>
      <router-view></router-view>
    </v-content>
  </v-app>
</template>

<style lang="scss">
.pointer {
  cursor: pointer
}
</style>

<script>
export default {
  name: 'App',
  data () {
    return {
      //
    }
  },
  methods: {
    goToHome () {
      this.$router.push({ path: '/' })
    }
  }
}
</script>
